Page MenuHomePhabricator

rack/setup/install wdqs200[4-6]
Closed, ResolvedPublic

Description

This task will track the racking and setup of wdqs200[4-6], purchased on T183201.

Racking Plan:
Existing systems

HostnameRack location
wdqs2001C5
wdqs2002D5
wdqs2003A5

New systems

HostnameRack location
wdqs2004A6
wdqs2005B5
wdqs2006D4

wdqs2004:

  • - receive in system on procurement task T183201
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

wdqs2005:

  • - receive in system on procurement task T183201
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

wdqs2006:

  • - receive in system on procurement task T183201
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

Details

Related Gerrit Patches:

Event Timeline

Papaul triaged this task as Medium priority.Feb 20 2018, 4:24 PM
Papaul created this task.
Restricted Application added a project: Operations. · View Herald TranscriptFeb 20 2018, 4:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul reassigned this task from Papaul to RobH.Feb 20 2018, 4:26 PM
Papaul added a subscriber: RobH.

@RobH Can you please review rack plan for the new wdqs systems and confirm if is is okay and assigned back to me.

Thanks.

RobH updated the task description. (Show Details)Feb 22 2018, 6:36 PM
RobH reassigned this task from RobH to Gehel.Feb 22 2018, 6:41 PM
RobH added a subscriber: Gehel.

So in looking at wdqs2001-2003, they will be under warranty/in service for year(s) yet. So your plan to space the new 3 systems evenly across the 4 rows with the existing 3 systems looks good! All three new systems should go into 1Gb networked racks, and not share any racks with existing. One of the three new systems should go somewhere in row B, since no other wdqs systems are racked in that row. You've already addressed all of the above considerations before I made them =]

Racking Plan:
Existing systems

HostnameRack location
wdqs2001C5
wdqs2002D5
wdqs2003A5

New systems

HostnameRack location
wdqs2004A6
wdqs2005B5
wdqs2006D4

Looks good to me! I've pinged @Gehel so he can review this summary before we move forward. I'm assigning it to him for feedback.

@Gehel: Please review my comment above. I think @Papaul's racking proposal is spot on. Please review, comment, and escalate back to @Papaul for followup!

Gehel added a comment.Feb 22 2018, 6:49 PM

Those new systems are for a new cluster, independent of the current on (T178492). So we don't have any need to spread the failure domains across both the old and the new servers. So yes, the current racking locations are fine, but if you have a need to collocate them with the current wdqs nodes, that would be fine as well.

Side note: the naming of the servers look fine to me, and coherent with what we do with other clusters (cache servers are all cp*, even if they are spread across independent cache-misc / cache-text / ...)

Gehel reassigned this task from Gehel to Papaul.Feb 22 2018, 6:49 PM
RobH moved this task from Backlog to Up Next on the ops-codfw board.Feb 22 2018, 9:44 PM
Papaul updated the task description. (Show Details)Feb 23 2018, 3:56 PM
Papaul updated the task description. (Show Details)

Change 413791 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt and production entries for wdqs200[4-6]

https://gerrit.wikimedia.org/r/413791

Change 413791 merged by Dzahn:
[operations/dns@master] DNS: Add mgmt and production entries for wdqs200[4-6]

https://gerrit.wikimedia.org/r/413791

Papaul updated the task description. (Show Details)Feb 26 2018, 8:03 PM

Change 415033 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add dhcp entries for wdqs200[4-6]

https://gerrit.wikimedia.org/r/415033

Change 415037 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] Partman: Add wdqs200[4-6] to partman

https://gerrit.wikimedia.org/r/415037

Papaul updated the task description. (Show Details)Feb 27 2018, 4:29 PM

Change 415037 merged by Dzahn:
[operations/puppet@production] Partman: Add wdqs200[4-6] to partman

https://gerrit.wikimedia.org/r/415037

Change 415033 merged by Dzahn:
[operations/puppet@production] DHCP: Add dhcp entries for wdqs200[4-6]

https://gerrit.wikimedia.org/r/415033

Papaul reassigned this task from Papaul to Gehel.Feb 28 2018, 1:04 AM
Papaul updated the task description. (Show Details)

@Gehel this is all yours

Gehel closed this task as Resolved.Apr 6 2018, 9:25 AM

Service configuration is tracked in T187766, this can be closed.